## ser-0.8.14 src

=== Makefile ===
# $Id: Makefile,v 1.120.2.2.4.3 2004/07/26 23:18:34 andrei Exp $
#
# sip_router makefile
#
# WARNING: requires gmake (GNU Make)
#  Arch supported: Linux, FreeBSD, SunOS (tested on Solaris 8), OpenBSD (3.2),
#  NetBSD (1.6).
#
#  History:
#  --------
#              created by andrei
#  2003-02-24  make install no longer overwrites ser.cfg  - patch provided
#               by Maxim Sobolev   <sobomax@FreeBSD.org> and 
#                  Tomas Bjrklund <tomas@webservices.se>
#  2003-03-11  PREFIX & LOCALBASE must also be exported (andrei)
#  2003-04-07  hacked to work with solaris install (andrei)
#  2003-04-17  exclude modules overwritable from env. or cmd. line,
#               added include_modules and skip_modules (andrei)
#  2003-05-30  added extra_defs & EXTRA_DEFS
#               Makefile.defs force-included to allow recursive make
#               calls -- see comment (andrei)
#  2003-06-02  make tar changes -- unpacks in $NAME-$RELEASE  (andrei)
#  2003-06-03  make install-cfg will properly replace the module path
#               in the cfg (re: /usr/.*lib/ser/modules)
#              ser.cfg.default is installed only if there is a previous
#               cfg. -- fixes packages containing ser.cfg.default (andrei)
#  2003-08-29  install-modules-doc split from install-doc, added 
#               install-modules-all, removed README.cfg (andrei)
#              added skip_cfg_install (andrei)
#

auto_gen=lex.yy.c cfg.tab.c   #lexx, yacc etc

#include  source related defs
include Makefile.sources

# whether or not to install ser.cfg or just ser.cfg.default
# (ser.cfg will never be overwritten by make install, this is usefull
#  when creating packages)
skip_cfg_install?=

#extra modules to exclude
skip_modules?=

# if not set on the cmd. line or the env, exclude this modules:
exclude_modules?= 			cpl cpl-c extcmd \
							postgres snmp \
							im \
							jabber mysql \
							auth_radius group_radius uri_radius 
# always exclude the CVS dir
override exclude_modules+= CVS $(skip_modules)

#always include this modules
include_modules?=

# first 2 lines are excluded because of the experimental or incomplete
# status of the modules
# the rest is excluded because it depends on external libraries
#
static_modules=
static_modules_path=$(addprefix modules/, $(static_modules))
extra_sources=$(wildcard $(addsuffix /*.c, $(static_modules_path)))
extra_objs=$(extra_sources:.c=.o)

static_defs= $(foreach  mod, $(static_modules), \
		-DSTATIC_$(shell echo $(mod) | tr [:lower:] [:upper:]) )

override extra_defs+=$(static_defs) $(EXTRA_DEFS)
export extra_defs

modules=$(filter-out $(addprefix modules/, \
			$(exclude_modules) $(static_modules)), \
			$(wildcard modules/*))
modules:=$(filter-out $(modules), $(addprefix modules/, $(include_modules) )) \
			$(modules)
modules_names=$(shell echo $(modules)| \
				sed -e 's/modules\/\([^/ ]*\)\/*/\1.so/g' )
modules_basenames=$(shell echo $(modules)| \
				sed -e 's/modules\/\([^/ ]*\)\/*/\1/g' )
#modules_names=$(patsubst modules/%, %.so, $(modules))
modules_full_path=$(join  $(modules), $(addprefix /, $(modules_names)))


ALLDEP=Makefile Makefile.sources Makefile.defs Makefile.rules

#include general defs (like CC, CFLAGS  a.s.o)
# hack to force makefile.defs re-inclusion (needed when make calls itself with
# other options -- e.g. make bin)
makefile_defs=0
DEFS:=
include Makefile.defs

NAME=$(MAIN_NAME)

#export relevant variables to the sub-makes
export DEFS PROFILE CC  LD MKDEP MKTAGS CFLAGS LDFLAGS MOD_CFLAGS MOD_LDFLAGS
export LEX YACC YACC_FLAGS
export PREFIX LOCALBASE
# export relevant variables for recursive calls of this makefile 
# (e.g. make deb)
#export LIBS
#export TAR 
#export NAME RELEASE OS ARCH 
#export cfg-prefix cfg-dir bin-prefix bin-dir modules-prefix modules-dir
#export doc-prefix doc-dir man-prefix man-dir ut-prefix ut-dir
#export cfg-target modules-target
#export INSTALL INSTALL-CFG INSTALL-BIN INSTALL-MODULES INSTALL-DOC INSTALL-MAN 
#export INSTALL-TOUCH

ifneq ($(TLS),)
	tar_extra_args+=
else
	tar_extra_args+=--exclude=$(notdir $(CURDIR))/tls* 
endif
# include the common rules
include Makefile.rules

#extra targets 

$(NAME): static_modules

lex.yy.c: cfg.lex cfg.tab.h $(ALLDEP)
	$(LEX) $<

cfg.tab.c cfg.tab.h: cfg.y  $(ALLDEP)
	$(YACC) $(YACC_FLAGS) $<

.PHONY: all
all: $(NAME) modules



.PHONY: modules
modules:
	-@for r in $(modules) "" ; do \
		if [ -n "$$r" ]; then \
			echo  "" ; \
			echo  "" ; \
			$(MAKE) -C $$r ; \
		fi ; \
	done 

.PHONY: static_modules
static_modules:
	-@echo "Extra objs: $(extra_objs)" 
	-@for r in $(static_modules_path) "" ; do \
		if [ -n "$$r" ]; then \
			echo  "" ; \
			echo  "Making static module $r" ; \
			$(MAKE) -C $$r static ; \
		fi ; \
	done 


	
dbg: ser
	gdb -command debug.gdb

.PHONY: tar
.PHONY: dist

dist: tar

tar: 
	$(TAR) -C .. \
		--exclude=$(notdir $(CURDIR))/test* \
		--exclude=$(notdir $(CURDIR))/tmp* \
		--exclude=$(notdir $(CURDIR))/debian/ser* \
		--exclude=$(notdir $(CURDIR))/ser_tls* \
		--exclude=CVS* \
		--exclude=.cvsignore \
		--exclude=*.[do] \
		--exclude=*.so \
		--exclude=*.il \
		--exclude=$(notdir $(CURDIR))/ser \
		--exclude=*.gz \
		--exclude=*.bz2 \
		--exclude=*.tar \
		--exclude=*.patch \
		--exclude=.\#* \
		--exclude=*.swp \
		${tar_extra_args} \
		-cf - $(notdir $(CURDIR)) | \
			(mkdir -p tmp/_tar1; mkdir -p tmp/_tar2 ; \
			    cd tmp/_tar1; $(TAR) -xf - ) && \
			    mv tmp/_tar1/$(notdir $(CURDIR)) \
			       tmp/_tar2/"$(NAME)-$(RELEASE)" && \
			    (cd tmp/_tar2 && $(TAR) \
			                    -zcf ../../"$(NAME)-$(RELEASE)_src".tar.gz \
			                               "$(NAME)-$(RELEASE)" ) ; \
			    rm -rf tmp/_tar1; rm -rf tmp/_tar2

# binary dist. tar.gz
.PHONY: bin
bin:
	mkdir -p tmp/ser/usr/local
	$(MAKE) install basedir=tmp/ser prefix=/usr/local 
	$(TAR) -C tmp/ser/ -zcf ../$(NAME)-$(RELEASE)_$(OS)_$(ARCH).tar.gz .
	rm -rf tmp/ser

.PHONY: deb
deb:
	dpkg-buildpackage -rfakeroot -tc

.PHONY: sunpkg
sunpkg:
	mkdir -p tmp/ser
	mkdir -p tmp/ser_sun_pkg
	$(MAKE) install basedir=tmp/ser prefix=/usr/local
	(cd solaris; \
	pkgmk -r ../tmp/ser/usr/local -o -d ../tmp/ser_sun_pkg/ -v "$(RELEASE)" ;\
	cd ..)
	cat /dev/null > ../$(NAME)-$(RELEASE)-$(OS)-$(ARCH)-local
	pkgtrans -s tmp/ser_sun_pkg/ ../$(NAME)-$(RELEASE)-$(OS)-$(ARCH)-local \
		IPTELser
	gzip -9 ../$(NAME)-$(RELEASE)-$(OS)-$(ARCH)-local
	rm -rf tmp/ser
	rm -rf tmp/ser_sun_pkg


install: all mk-install-dirs install-cfg install-bin install-modules \
	install-doc install-man

.PHONY: dbinstall
dbinstall:
	-@echo "Initializing ser database"
	scripts/ser_mysql.sh create
	-@echo "Done"

mk-install-dirs: $(cfg-prefix)/$(cfg-dir) $(bin-prefix)/$(bin-dir) \
			$(modules-prefix)/$(modules-dir) $(doc-prefix)/$(doc-dir) \
			$(man-prefix)/$(man-dir)/man8 $(man-prefix)/$(man-dir)/man5

$(cfg-prefix)/$(cfg-dir): 
		mkdir -p $(cfg-prefix)/$(cfg-dir)

$(bin-prefix)/$(bin-dir):
		mkdir -p $(bin-prefix)/$(bin-dir)

$(modules-prefix)/$(modules-dir):
		mkdir -p $(modules-prefix)/$(modules-dir)


$(doc-prefix)/$(doc-dir):
		mkdir -p $(doc-prefix)/$(doc-dir)

$(man-prefix)/$(man-dir)/man8:
		mkdir -p $(man-prefix)/$(man-dir)/man8

$(man-prefix)/$(man-dir)/man5:
		mkdir -p $(man-prefix)/$(man-dir)/man5
		
# note: on solaris 8 sed: ? or \(...\)* (a.s.o) do not work
install-cfg: $(cfg-prefix)/$(cfg-dir)
		sed -e "s#/usr/.*lib/ser/modules/#$(modules-target)#g" \
			< etc/ser.cfg > $(cfg-prefix)/$(cfg-dir)ser.cfg.sample
		chmod 644 $(cfg-prefix)/$(cfg-dir)ser.cfg.sample
		if [ -z "${skip_cfg_install}" -a \
				! -f $(cfg-prefix)/$(cfg-dir)ser.cfg ]; then \
			mv -f $(cfg-prefix)/$(cfg-dir)ser.cfg.sample \
				$(cfg-prefix)/$(cfg-dir)ser.cfg; \
		fi
#		$(INSTALL-CFG) etc/ser.cfg $(cfg-prefix)/$(cfg-dir)

install-bin: $(bin-prefix)/$(bin-dir) utils/gen_ha1/gen_ha1
		$(INSTALL-TOUCH) $(bin-prefix)/$(bin-dir)/ser 
		$(INSTALL-BIN) ser $(bin-prefix)/$(bin-dir)
		$(INSTALL-TOUCH)   $(bin-prefix)/$(bin-dir)/sc
		$(INSTALL-BIN) scripts/sc $(bin-prefix)/$(bin-dir)
		mv -f $(bin-prefix)/$(bin-dir)/sc $(bin-prefix)/$(bin-dir)/serctl
		$(INSTALL-TOUCH)   $(bin-prefix)/$(bin-dir)/ser_mysql.sh  
		$(INSTALL-BIN) scripts/ser_mysql.sh  $(bin-prefix)/$(bin-dir)
		$(INSTALL-TOUCH)   $(bin-prefix)/$(bin-dir)/gen_ha1
		$(INSTALL-BIN) utils/gen_ha1/gen_ha1 $(bin-prefix)/$(bin-dir)

utils/gen_ha1/gen_ha1:
		cd utils/gen_ha1; $(MAKE) all

install-modules: modules $(modules-prefix)/$(modules-dir)
	-@for r in $(modules_full_path) "" ; do \
		if [ -n "$$r" ]; then \
			if [ -f "$$r" ]; then \
				$(INSTALL-TOUCH) \
					$(modules-prefix)/$(modules-dir)/`basename "$$r"` ; \
				$(INSTALL-MODULES)  "$$r"  $(modules-prefix)/$(modules-dir) ; \
			else \
				echo "ERROR: module $$r not compiled" ; \
			fi ;\
		fi ; \
	done 


install-modules-all: install-modules install-modules-doc


install-doc: $(doc-prefix)/$(doc-dir) install-modules-doc
	$(INSTALL-TOUCH) $(doc-prefix)/$(doc-dir)/INSTALL 
	$(INSTALL-DOC) INSTALL $(doc-prefix)/$(doc-dir)
	$(INSTALL-TOUCH) $(doc-prefix)/$(doc-dir)/README-MODULES 
	$(INSTALL-DOC) README-MODULES $(doc-prefix)/$(doc-dir)
	$(INSTALL-TOUCH) $(doc-prefix)/$(doc-dir)/AUTHORS 
	$(INSTALL-DOC) AUTHORS $(doc-prefix)/$(doc-dir)
	$(INSTALL-TOUCH) $(doc-prefix)/$(doc-dir)/NEWS
	$(INSTALL-DOC) NEWS $(doc-prefix)/$(doc-dir)
	$(INSTALL-TOUCH) $(doc-prefix)/$(doc-dir)/README 
	$(INSTALL-DOC) README $(doc-prefix)/$(doc-dir)


install-modules-doc: $(doc-prefix)/$(doc-dir)
	-@for r in $(modules_basenames) "" ; do \
		if [ -n "$$r" ]; then \
			if [ -f modules/"$$r"/README ]; then \
				$(INSTALL-TOUCH)  $(doc-prefix)/$(doc-dir)/README ; \
				$(INSTALL-DOC)  modules/"$$r"/README  \
									$(doc-prefix)/$(doc-dir)/README ; \
				mv -f $(doc-prefix)/$(doc-dir)/README \
						$(doc-prefix)/$(doc-dir)/README."$$r" ; \
			fi ; \
		fi ; \
	done 


install-man: $(man-prefix)/$(man-dir)/man8 $(man-prefix)/$(man-dir)/man5
	$(INSTALL-TOUCH)  $(man-prefix)/$(man-dir)/man8/ser.8 
	$(INSTALL-MAN)  ser.8 $(man-prefix)/$(man-dir)/man8
	$(INSTALL-TOUCH)  $(man-prefix)/$(man-dir)/man5/ser.cfg.5 
	$(INSTALL-MAN)  ser.cfg.5 $(man-prefix)/$(man-dir)/man5

=== db/example/Makefile ===
# $Id: Makefile,v 1.1 2002/07/09 09:08:25 janakj Rel $
#
# database example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=dbexample.so
LIBS=

include ../../Makefile.modules

=== modules/ext/Makefile ===
# $Id: Makefile,v 1.2 2003/05/23 15:43:43 andrei Exp $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=ext.so
LIBS= 

include ../../Makefile.modules

=== modules/extcmd/Makefile ===
# $Id: Makefile,v 1.2 2003/05/23 15:43:43 andrei Exp $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=extcmd.so
LIBS=

include ../../Makefile.modules

=== modules/nathelper/Makefile ===
# $Id: Makefile,v 1.2.6.1 2003/11/24 14:00:34 janakj Exp $
#
# print example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=nathelper.so
LIBS=

include ../../Makefile.modules

=== modules/registrar/Makefile ===
# $Id: Makefile,v 1.2 2003/05/23 15:43:43 andrei Exp $
#
# registrar module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=registrar.so
LIBS=

include ../../Makefile.modules

=== modules/sl/Makefile ===
# $Id: Makefile,v 1.3 2003/05/23 15:43:44 andrei Exp $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=sl.so
LIBS= 

include ../../Makefile.modules

=== utils/gen_ha1/Makefile ===

all: gen_ha1

gen_ha1: gen_ha1.o calc.o ../../md5.o
	gcc -o gen_ha1 gen_ha1.o calc.o ../../md5.o

gen_ha1.o: gen_ha1.c
	gcc -c gen_ha1.c

calc.o: calc.c calc.h
	gcc -c calc.c


clean:
	rm -f *~ *.o gen_ha1

=== debian/control ===
Source: ser
Section: net
Priority: optional
Maintainer: Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>
Build-Depends: debhelper (>= 4), libmysqlclient-dev, libexpat1-dev, libradius1-dev
Standards-Version: 3.5.2

Package: ser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Suggests: ser-mysql-module, ser-jabber-module
Conflicts: ser-mysql-module (<< ${Source-Version}), ser-jabber-module (<< ${Source-Version}), ser-radius-modules (<< ${Source-Version})
Description: Sip Express Router, very fast and configurable SIP proxy
 ser or SIP Express Router is a very fast and flexible SIP (RFC3621)
 proxy server. Written entirely in C, ser can handle thousands calls
 per second even on low-budget hardware. C Shell like scripting language
 provides full control over the server's behaviour. It's modular
 architecture allows only required functionality to be loaded.
 Currently the following modules are available: Digest Authentication,
 CPL scripts, Instant Messaging, MySQL support, Presence Agent, Radius
 Authentication, Record Routing, SMS Gateway, Jabber Gateway, Transaction 
 Module, Registrar and User Location.

Package: ser-mysql-module
Architecture: any
Depends: ${shlibs:Depends}, ser (= ${Source-Version})
Description: contains the mysql database connectivity module
 This has been split out of the main ser package, so that ser will not
 depend upon mysql. This module will enable you to use the digest
 authentication module or persistent user location entries.

Package: ser-jabber-module
Architecture: any
Depends: ${shlibs:Depends}, ser (= ${Source-Version})
Description: contains the jabber module (sip-jabber message translation)
 This has been split out of the main ser package, so that ser will not
 depend upon libexpat. This module will enable you to use ser to translate
  sip messages into jabber messages.

Package: ser-radius-modules
Architecture: any
Depends: ${shlibs:Depends}, ser (= ${Source-Version})
Description: contains the ser radius modules 
 This has been split out of the main ser package, so that ser will not
 depend upon libradius1. This modules will enable you to authenticate, 
 do group membership checking or check the messages uris using radius.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# $Id: rules,v 1.8.2.1.4.1 2004/07/23 14:39:23 andrei Exp $
#
# History:
# --------
#  2003-05-30  updated for the 0.8.11 release, changed modules list and
#              some ser make options (andrei)
#  2003-06-27  changed to DH_COMPAT 4 (debian/compat) + other filenames
#              & small fixes (andrei)
#  2003-08-29  replaced modules-install with modules-install-all, to 
#               install also the modules doc (andrei)
#  2004-07-23  added ext and commented out the radius modules
#              (the current radius modules depend on radiusclient-ng which
#               is not yet part of debian)  (andrei)


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# export DH_COMPAT=4
#  -- already set in compat
#  force no striping (always include debug symbols for now)
export DEB_BUILD_OPTIONS:="$(DEB_BUILD_OPTIONS) nostrip"

# modules not in the "main" package or unstable 
EXCLUDED_MODULES=	mysql jabber auth_radius group_radius uri_radius \
					postgress snmp cpl cpl-c extcmd 

# modules depending on mysql
MYSQL_MODULES=mysql
#jabber related modules
JABBER_MODULES=jabber
#module depending on radiusclient
RADIUS_MODULES=auth_radius group_radius uri_radius

# the same but with path prepended (needed for modules="...")
MYSQL_MOD_PATH=$(addprefix modules/, $(MYSQL_MODULES))
JABBER_MOD_PATH=$(addprefix modules/, $(JABBER_MODULES))
RADIUS_MOD_PATH=$(addprefix modules/, $(RADIUS_MODULES))





ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all  skip_modules="$(EXCLUDED_MODULES)" cfg-target=/etc/ser/
	$(MAKE) modules modules="$(MYSQL_MOD_PATH)" cfg-target=/etc/ser/
	$(MAKE) modules modules="$(JABBER_MOD_PATH)" cfg-target=/etc/ser/
	$(MAKE) modules modules="$(RADIUS_MOD_PATH)" cfg-target=/etc/ser/
	#/usr/bin/docbook-to-man debian/ser.sgml > ser.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) \
		include_modules="$(MYSQL_MODULES) $(JABBER_MODULES) $(RADIUS_MODULES)"\
		 clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ser
	$(MAKE) install  skip_modules="$(EXCLUDED_MODULES)" \
		basedir=$(CURDIR)/debian/ser \
		prefix=/usr \
		cfg-prefix=$(CURDIR)/debian/ser \
		cfg-target=/etc/ser/
	# install only the mysql module
	$(MAKE) install-modules-all modules="$(MYSQL_MOD_PATH)"  \
		basedir=$(CURDIR)/debian/ser-mysql-module \
		prefix=/usr \
		cfg-prefix=$(CURDIR)/debian/ser-mysql-module \
		cfg-target=/etc/ser/ \
		doc-dir=share/doc/ser-mysql-module
	#install only the jabber module
	$(MAKE) install-modules-all modules="$(JABBER_MOD_PATH)"  \
		basedir=$(CURDIR)/debian/ser-jabber-module \
		prefix=/usr \
		cfg-prefix=$(CURDIR)/debian/ser-jabber-module \
		cfg-target=/etc/ser/ \
		doc-dir=share/doc/ser-jabber-module
	#install only the radius modules
#	$(MAKE) install-modules-all modules="$(RADIUS_MOD_PATH)"  \
#		basedir=$(CURDIR)/debian/ser-radius-modules \
#		prefix=/usr \
#		cfg-prefix=$(CURDIR)/debian/ser-radius-modules \
#		cfg-target=/etc/ser/ \
#		doc-dir=share/doc/ser-radius-modules
	#dh_movefiles



# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: 
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit  -- defaults 23
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent packages using the common target
binary-indep: build install
# (Uncomment this next line if you have such packages.)
#        $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
# We have nothing to do by default.


# Build architecture-dependent packages using the common target
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
